<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activities.AddLessonPlanActivity">
    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimary">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"

            android:orientation="horizontal">

            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:padding="@dimen/dimen_10dp"
                app:srcCompat="@drawable/ic_back" />


            <TextView

                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/dimen_60dp"
                android:fontFamily="@font/montserratregular"

                android:gravity="center"
                android:text="Add topic"
                android:textColor="@android:color/white"

                android:textSize="@dimen/dimen_18sp"


                />


        </RelativeLayout>


    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:layout_margin="@dimen/dimen_10dp">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            android:background="@drawable/drawable_edtbg"
            android:orientation="vertical"
            android:padding="@dimen/dimen_10dp">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <TextView

                    android:id="@+id/txtClass"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_10dp"
                    android:layout_weight="0.2"
                    android:fontFamily="@font/montserratregular"
                    android:gravity="center"
                    android:text="Select a class"
                    android:textColor="@color/black"
                    android:textSize="@dimen/dimen_15sp"


                    />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/imgdropdownClass"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        app:srcCompat="@drawable/ic_arrow_drop_down" />
                </LinearLayout>


            </LinearLayout>

        </LinearLayout>


        <!--        <LinearLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="wrap_content"-->
        <!--            android:background="@drawable/drawable_edtbg"-->
        <!--            android:orientation="vertical"-->
        <!--            android:layout_marginTop="@dimen/dimen_10dp"-->
        <!--            android:padding="@dimen/dimen_10dp">-->


        <!--            <LinearLayout-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="wrap_content"-->
        <!--                android:orientation="horizontal">-->


        <!--                <TextView-->

        <!--                    android:id="@+id/txtDivision"-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:layout_gravity="center_vertical"-->
        <!--                    android:layout_marginLeft="@dimen/dimen_10dp"-->
        <!--                    android:layout_weight="0.2"-->
        <!--                    android:fontFamily="@font/montserratregular"-->
        <!--                    android:gravity="center"-->
        <!--                    android:text="Select a division"-->
        <!--                    android:textColor="@color/black"-->
        <!--                    android:textSize="@dimen/dimen_18sp"-->


        <!--                    />-->

        <!--                <LinearLayout-->
        <!--                    android:layout_width="match_parent"-->
        <!--                    android:layout_height="wrap_content"-->
        <!--                    android:layout_weight="0.8"-->
        <!--                    android:gravity="center">-->

        <!--                    <ImageView-->
        <!--                        android:id="@+id/imgdropdowndivision"-->
        <!--                        android:layout_width="@dimen/dimen_30dp"-->
        <!--                        android:layout_height="@dimen/dimen_30dp"-->
        <!--                        app:srcCompat="@drawable/ic_arrow_drop_down" />-->
        <!--                </LinearLayout>-->


        <!--            </LinearLayout>-->

        <!--        </LinearLayout>-->




        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/drawable_edtbg"
            android:orientation="vertical"
            android:visibility="visible"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:padding="@dimen/dimen_10dp">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <TextView

                    android:id="@+id/txtSubject"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_10dp"
                    android:layout_weight="0.2"
                    android:fontFamily="@font/montserratregular"
                    android:gravity="center"
                    android:text="Select a subject"
                    android:textColor="@color/black"
                    android:textSize="@dimen/dimen_15sp"


                    />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/imgdropdownsubject"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        app:srcCompat="@drawable/ic_arrow_drop_down" />
                </LinearLayout>


            </LinearLayout>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/drawable_edtbg"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/txttoDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:textColor="@android:color/black"
                android:layout_gravity="center_vertical"
                android:layout_weight="0.2"
                android:textSize="@dimen/dimen_15sp"
                android:textStyle="normal"
                android:gravity="center"
                android:fontFamily="@font/montserratregular"
                android:text="implementation date" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.8">
                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/imgpickToDate"
                    android:layout_width="@dimen/dimen_50dp"
                    android:layout_height="@dimen/dimen_50dp"
                    app:srcCompat="@drawable/ic_date_range"
                    android:padding="@dimen/dimen_10dp">


                </androidx.appcompat.widget.AppCompatImageView>


            </LinearLayout>

        </LinearLayout>


        <EditText
            android:id="@+id/edtTopic"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"
            android:background="@drawable/drawable_edtbg"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:hint="Topic"
            android:padding="@dimen/dimen_10dp"
            android:inputType="text|textMultiLine|textCapSentences"
            android:fontFamily="@font/montserratregular"
            android:textSize="@dimen/dimen_15sp"/>



        <EditText
            android:id="@+id/edtDescription"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_150dp"
            android:background="@drawable/drawable_edtbg"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:hint="Description"
            android:padding="@dimen/dimen_10dp"
            android:inputType="text|textMultiLine|textCapSentences"
            android:fontFamily="@font/montserratregular"
            android:textSize="@dimen/dimen_15sp"/>



        <Button
            android:id="@+id/btnSubmit"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dimen_50dp"
            android:layout_gravity="center"
            android:text="Submit"
            android:textAllCaps="false"
            android:layout_marginTop="@dimen/dimen_10dp"

            android:textSize="@dimen/dimen_15sp"
            android:fontFamily="@font/montserratregular"
            android:textColor="@color/white"
            android:background="@color/colorPrimary"></Button>








    </LinearLayout>

</LinearLayout>